> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# List documents for a deployment policy (Beta)

GET https://api.sigmacomputing.com/v2/deploymentPolicies/{deploymentPolicyId}/files

List documents for a deployment policy
    
**Beta**: This documentation describes a public beta feature and is subject to the [Beta features](/docs/sigma-product-releases#beta-features) disclaimer.

### Usage notes
- Retrieve the `deploymentPolicyId` from the [/v2/deploymentPolicies](https://help.sigmacomputing.com/reference/list-deployments) endpoint.
- If the user associated with the API key does not have access to the document, the `inode` field is `null`.

### Usage scenarios
- Review and audit documents deployed to specific tenant organizations.
    

Reference: https://help.sigmacomputing.com/reference/list-inodes-for-deployment

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/deploymentPolicies/{deploymentPolicyId}/files:
    get:
      operationId: listInodesForDeployment
      summary: List documents for a deployment policy (Beta)
      description: >-
        List documents for a deployment policy
            
        **Beta**: This documentation describes a public beta feature and is
        subject to the [Beta
        features](/docs/sigma-product-releases#beta-features) disclaimer.


        ### Usage notes

        - Retrieve the `deploymentPolicyId` from the
        [/v2/deploymentPolicies](https://help.sigmacomputing.com/reference/list-deployments)
        endpoint.

        - If the user associated with the API key does not have access to the
        document, the `inode` field is `null`.


        ### Usage scenarios

        - Review and audit documents deployed to specific tenant organizations.
            
      tags:
        - deploymentPolicies
      parameters:
        - name: deploymentPolicyId
          in: path
          required: true
          schema:
            type: string
        - name: pageToken
          in: query
          required: false
          schema:
            type: string
        - name: pageSize
          in: query
          required: false
          schema:
            type: integer
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/deploymentPolicies_listInodesForDeployment_Response_200
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2DeploymentPoliciesDeploymentPolicyIdFilesGetResponsesContentApplicationJsonSchemaEntriesItemsInodeOneOf0Type:
      type: string
      enum:
        - workbook
      title: >-
        V2DeploymentPoliciesDeploymentPolicyIdFilesGetResponsesContentApplicationJsonSchemaEntriesItemsInodeOneOf0Type
    V2DeploymentPoliciesDeploymentPolicyIdFilesGetResponsesContentApplicationJsonSchemaEntriesItemsInode0:
      type: object
      properties:
        name:
          type: string
        type:
          $ref: >-
            #/components/schemas/V2DeploymentPoliciesDeploymentPolicyIdFilesGetResponsesContentApplicationJsonSchemaEntriesItemsInodeOneOf0Type
        workbookId:
          type: string
      required:
        - name
        - type
        - workbookId
      title: >-
        V2DeploymentPoliciesDeploymentPolicyIdFilesGetResponsesContentApplicationJsonSchemaEntriesItemsInode0
    V2DeploymentPoliciesDeploymentPolicyIdFilesGetResponsesContentApplicationJsonSchemaEntriesItemsInodeOneOf1Type:
      type: string
      enum:
        - dataModel
      title: >-
        V2DeploymentPoliciesDeploymentPolicyIdFilesGetResponsesContentApplicationJsonSchemaEntriesItemsInodeOneOf1Type
    V2DeploymentPoliciesDeploymentPolicyIdFilesGetResponsesContentApplicationJsonSchemaEntriesItemsInode1:
      type: object
      properties:
        name:
          type: string
        type:
          $ref: >-
            #/components/schemas/V2DeploymentPoliciesDeploymentPolicyIdFilesGetResponsesContentApplicationJsonSchemaEntriesItemsInodeOneOf1Type
        dataModelId:
          type: string
      required:
        - name
        - type
        - dataModelId
      title: >-
        V2DeploymentPoliciesDeploymentPolicyIdFilesGetResponsesContentApplicationJsonSchemaEntriesItemsInode1
    V2DeploymentPoliciesDeploymentPolicyIdFilesGetResponsesContentApplicationJsonSchemaEntriesItemsInode:
      oneOf:
        - $ref: >-
            #/components/schemas/V2DeploymentPoliciesDeploymentPolicyIdFilesGetResponsesContentApplicationJsonSchemaEntriesItemsInode0
        - $ref: >-
            #/components/schemas/V2DeploymentPoliciesDeploymentPolicyIdFilesGetResponsesContentApplicationJsonSchemaEntriesItemsInode1
      title: >-
        V2DeploymentPoliciesDeploymentPolicyIdFilesGetResponsesContentApplicationJsonSchemaEntriesItemsInode
    V2DeploymentPoliciesDeploymentPolicyIdFilesGetResponsesContentApplicationJsonSchemaEntriesItems:
      type: object
      properties:
        inodeId:
          type: string
        inode:
          oneOf:
            - $ref: >-
                #/components/schemas/V2DeploymentPoliciesDeploymentPolicyIdFilesGetResponsesContentApplicationJsonSchemaEntriesItemsInode
            - type: 'null'
        deploymentPolicyId:
          type: string
      required:
        - inodeId
        - inode
        - deploymentPolicyId
      title: >-
        V2DeploymentPoliciesDeploymentPolicyIdFilesGetResponsesContentApplicationJsonSchemaEntriesItems
    deploymentPolicies_listInodesForDeployment_Response_200:
      type: object
      properties:
        entries:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2DeploymentPoliciesDeploymentPolicyIdFilesGetResponsesContentApplicationJsonSchemaEntriesItems
          description: Array of results returned by the endpoint
        nextPageToken:
          type: string
          description: >-
            A string that can be passed to the `pageToken` parameter in the next
            request to fetch the next page of results. Not present in the last
            page of results.

            **Must be treated as an opaque string.**
      required:
        - entries
      title: deploymentPolicies_listInodesForDeployment_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "entries": [
    {
      "inodeId": "a3f1c9d2-4b7e-4f8a-9c3d-2e5b7f1a9d8c",
      "inode": {
        "name": "Q2 Sales Dashboard",
        "type": "workbook",
        "workbookId": "wb-9f8e7d6c5b4a3f2e1d0c"
      },
      "deploymentPolicyId": "dp-1234567890abcdef"
    },
    {
      "inodeId": "b4e2d3c1-5a6f-7b8c-9d0e-1f2a3b4c5d6e",
      "inode": {
        "dataModelId": "dm-0a1b2c3d4e5f67890abc",
        "name": "Customer Data Model",
        "type": "dataModel"
      },
      "deploymentPolicyId": "dp-1234567890abcdef"
    },
    {
      "inodeId": "c5d6e7f8-9a0b-1c2d-3e4f-5a6b7c8d9e0f",
      "inode": null,
      "deploymentPolicyId": "dp-1234567890abcdef"
    }
  ],
  "nextPageToken": "eyJwYWdlIjoxfQ=="
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/deploymentPolicies/deploymentPolicyId/files"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/deploymentPolicies/deploymentPolicyId/files';
const options = {
  method: 'GET',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/deploymentPolicies/deploymentPolicyId/files"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/deploymentPolicies/deploymentPolicyId/files")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/deploymentPolicies/deploymentPolicyId/files")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/deploymentPolicies/deploymentPolicyId/files', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/deploymentPolicies/deploymentPolicyId/files");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/deploymentPolicies/deploymentPolicyId/files")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```